Loading...
Searching...
No Matches
IComponentAttachNotifier Class Referenceabstract

`#include <comp_attach_notifier_i.h>`

## Public Member Functions

| IComponentAttachNotifier ()
virtual | ~IComponentAttachNotifier ()
virtual void | attachNotify (const int num_attached)=0

## Detailed Description

Definition at line 46 of file comp_attach_notifier_i.h.

## Constructor & Destructor Documentation

## IComponentAttachNotifier()

IComponentAttachNotifier::IComponentAttachNotifier | ( |  | ) |

inline

Definition at line 48 of file comp_attach_notifier_i.h.

## ~IComponentAttachNotifier()

virtual IComponentAttachNotifier::~IComponentAttachNotifier | ( |  | ) |

inline virtual

Default interface constructor

Definition at line 49 of file comp_attach_notifier_i.h.

## Member Function Documentation

## attachNotify()

virtual void IComponentAttachNotifier::attachNotify | ( | const int | num_attached | ) |

pure virtual

Default interface destructor

Callback called by the componentAttachPt() classes when a component is attached to or detached from the attach point.

Parameters

  num_attached | : number of remaining components attached to the point after the operation that triggered the notification.

The documentation for this class was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/common/comp_attach_notifier_i.h